#
# spec file for package groff (Version 1.17.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  ghostscript-mini gpp libgpp libnetpbm libpng-devel-packages lprng netpbm x-devel-packages

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext ghostscript-mini libnetpbm libpng libpng-devel libstdc++-devel libtool lprng netpbm perl rpm

Name:           groff
%define	build_groff_docu	1
#
License:        GPL, BSD
Group:          Productivity/Publishing/Troff
Provides:       normal-groff, jgroff
Obsoletes:      jgroff
Prereq:         %fillup_prereq
Autoreqprov:    on
Version:        1.17.2
Release:        881.2
Summary:        GNU troff document formatting system
URL:            http://www.gnu.org/software/groff/groff.html
Source0:        ftp://ftp.gnu.org/gnu/groff/groff-1.17.2.tar.bz2
Source1:        SuSEconfig.groff
Source2:        sysconfig.suseconfig-groff
Patch0:         groff_1.17.2-7-debian.diff.bz2
Patch1:         groff-1.17.2-suse.diff
Patch2:         groff-1.17.2-pic-html.diff
Patch3:         groff-1.17.2-config.diff
Patch4:         groff-1.17.2-gcc3.patch
Patch5:         groff-1.17.2-utf8.patch
Patch6:         groff-1.17.2-bison.patch
Patch7:         groff-1.17.2-node.patch
Patch8:         bugzilla-152497.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The groff package provides compatible versions of troff, nroff, eqn,
tbl, and other Unix text-formatting utilities.

Groff is used to "compile" man-pages stored in groff/nroff format for
different output devices. For example: displaying to a screen or in
PostScript(tm) format for printing on a PostScript(tm) printer. Most
programs store their man-pages in either /usr/share/man/ or
/usr/X11R6/man/.



Authors:
--------
    James Clark	<jjc@clark.com>

%package     -n gxdview
Requires:       groff
Conflicts:      jgxdview
Summary:        The ditroff output displayer coming with groff
Group:          Productivity/Publishing/Troff
Autoreqprov:    on

%description -n gxdview
This version of xditview is called gxditview and has some extensions
used by the command groff.  The gxditview is used by groff if called
with the option -X.



Authors:
--------
    James Clark     <jjc@clark.com>

%prep
%setup -q -n groff-%{version} 
%patch0 -p1 -b .debian
%patch1 -p1 -b .suse
%patch2 -p1 -b .pic-html
%patch3 -p0 -b .config
%patch4 -p1 -b .gcc3
%patch5 -p1 -b .utf-8
%patch6 -p0 -b .bison
%patch7 -p1 -b .node
%patch8 -p1

%build
# remove empty backups
rm -f ChangeLog.jp.debian README.jp.debian
#
PATH=$PWD/src/roff/troff:$PWD/src/preproc/pic:$PWD/src/preproc/eqn:$PWD/src/preproc/tbl:$PWDsrc/preproc/refer:$PWD/src/preproc/soelim:$PATH
PATH=$PWD/src/roff/grog:$PWD/src/roff/groff:$PWD/src/devices/grops:$PWD/src/devices/grotty:$PWD/src/devices/grodvi:$PWD/src/devices/grohtml:$PATH
GROFF_COMMAND_PREFIX=
GROFF_FONT_PATH=$PWD
GROFF_TMAC_PATH=$PWD/tmac:$PWD/src/roff/troff
export PATH GROFF_COMMAND_PREFIX GROFF_FONT_PATH GROFF_TMAC_PATH
#
autoconf
export CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='${INSTALL} -s'
./configure --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} --enable-japanese
make
pushd src/xditview
    xmkmf -a
    make depend && make CDEBUGFLAGS="$RPM_OPT_FLAGS" NIPPONDEFINES="-DNIPPON"
popd
%if %{build_groff_docu}
pushd doc
    echo "papersize a4" > /etc/papersize
    make
    makeinfo groff.texinfo
popd
%endif

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d -m755 $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/etc
make install manroot=$RPM_BUILD_ROOT%{_mandir} prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/groff
%if %{build_groff_docu}
install -c -m0444 doc/*.ps $RPM_BUILD_ROOT%{_defaultdocdir}/groff
install -c -m0444 doc/*.html $RPM_BUILD_ROOT%{_defaultdocdir}/groff
install -c -m0444 doc/*.png $RPM_BUILD_ROOT%{_defaultdocdir}/groff
install -c -m0444 BUG* COPYING ChangeLog* INSTALL* MORE* NEWS PROBLEMS PROJECTS README* REVISION TODO VERSION $RPM_BUILD_ROOT%{_defaultdocdir}/groff
%endif
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -c -m 444 doc/groff doc/groff-[0-9]* $RPM_BUILD_ROOT%{_infodir}
make -C src/xditview install DESTDIR=$RPM_BUILD_ROOT
make -C src/xditview install.man MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=$RPM_BUILD_ROOT
ln -sf eqn $RPM_BUILD_ROOT/usr/bin/geqn
ln -sf tbl $RPM_BUILD_ROOT/usr/bin/gtbl
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -c -m0755 $RPM_SOURCE_DIR/SuSEconfig.groff $RPM_BUILD_ROOT/sbin/conf.d/
install -c -m0644 $RPM_SOURCE_DIR/sysconfig.suseconfig-groff  $RPM_BUILD_ROOT/var/adm/fillup-templates/
echo "papersize a4" > $RPM_BUILD_ROOT/etc/papersize
chmod 0644 $RPM_BUILD_ROOT/etc/papersize

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%{fillup_only -an suseconfig}
%install_info --info-dir=%{_infodir} %{_infodir}/groff.gz

%postun 
%install_info_delete --info-dir=%{_infodir} %{_infodir}/groff.gz

%files  -n gxdview
#
# Should we make a own package gxditview?
# ... but the new xditview is a good program for X11R6.3.
# If gxditview is required GXDITVIEW should be set
# in groff/groff.cc to "gxditview"
#
# Yes we should make a own package because groff uses
# some features of gxditview which xditview doesn't know.
#
/usr/X11R6/bin/gxditview
%config /usr/X11R6/lib/X11/app-defaults/GXditview
%doc /usr/X11R6/man/man1/gxditview.1*

%files
%docdir %{_defaultdocdir}/groff
%doc %{_defaultdocdir}/groff
%doc %{_infodir}/groff*
/usr/bin/*
%doc %{_mandir}/man?/*
%config(noreplace) /etc/papersize
/usr/share/groff
/sbin/conf.d/SuSEconfig.groff
/var/adm/fillup-templates/sysconfig.suseconfig-groff

%changelog -n groff
* Wed Jun 14 2006 - mfabian@suse.de
- Bugzilla #152497: Fix peekbyte() to return correctly.
* Tue Aug 26 2003 - mfabian@suse.de
- Bugzilla #28394: add workaround to display the euro symbol in
  'man iso-8859-15' correctly in UTF-8 locales.
* Thu Aug 14 2003 - mfabian@suse.de
- Bugzilla #28945: add missing activation metadata to
  sysconfig template
* Wed May 21 2003 - coolo@suse.de
- making /etc/papersize noreplace (the chances are very small the
  package knows the papersize better than the user)
- installing the info pages
* Thu Mar 06 2003 - ro@suse.de
- readd ghostscript-mini to neededforbuild (fix docu)
* Thu Mar 06 2003 - mfabian@suse.de
-  Bug #24758: fix segfault on copying an empty bracket_node
  was reproducible with    echo ' \b"" ' | troff
* Mon Jan 27 2003 - mfabian@suse.de
- Bug #22693: add missing metadata to sysconfig.suseconfig-groff
* Mon Jan 20 2003 - mfabian@suse.de
- fix file list to include /usr/share/man{5,7}/*
- extend workaround for non-latin1 man-page sources in UTF-8
  locales to Hungarian, Croatian, Polish, and Russian
* Fri Dec 06 2002 - olh@suse.de
- remove ghostscript-mini-packages to build groff anyway
* Wed Nov 20 2002 - ro@suse.de
- use ghostscript-mini-packages
* Wed Nov 13 2002 - ro@suse.de
- fix build with current bison (end all rules with ";")
* Sun Oct 13 2002 - mfabian@suse.de
- remove bogus "Requires:     bc".
* Wed Aug 28 2002 - mfabian@suse.de
- fix display of Czech man pages in cs_CZ.UTF-8 locale
* Thu Aug 01 2002 - mfabian@suse.de
- add %%fillup_prereq to Prereq:
* Tue Jun 04 2002 - mfabian@suse.de
- fix typo
* Tue Jun 04 2002 - mfabian@suse.de
- fix display of Japanese man pages in ja_JP.UTF-8 locale
* Thu May 02 2002 - meissner@suse.de
- Fixed g++ 3 issue (do not link C++ libraries with gcc)
* Sun Apr 07 2002 - schwab@suse.de
- Fix for new autoconf.
* Tue Mar 19 2002 - mfabian@suse.de
- fix bug #15052: add 'libgimpprint glib glib-devel' to
  '# neededforbuild' because 'gs' needs this to run. When 'gs'
  doesn't run, some .png pictures in the 'doc' directory
  can't be created and remain empty.
- add groff-1.17.2-pic-html.diff to avoid using the process ID
  in the names of the created .png files.
* Sun Mar 10 2002 - mfabian@suse.de
- write just 'a4' or 'letter' into /etc/papersize, not
  'papersize a4' or 'papersize letter'. All this papersize
  stuff doesn't seem to matter much anyway as groff calls
  grops with the '-g' option (guess page length).
* Sat Mar 09 2002 - ro@suse.de
- replaced plp by lprng in neededforbuild
* Fri Mar 01 2002 - mfabian@suse.de
- fix /sbin/conf.d/SuSEconfig.groff:
  prefer paper size information from the locale, use GROFF_PAGESIZE
  as an override.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 16 2002 - ro@suse.de
- moved variables to sysconfig/suseconfig
* Thu Jan 10 2002 - mfabian@suse.de
- move *GROFF* variables from /etc/rc.config to
  /etc/sysconfig/groff (fix Bug #12739)
* Mon Oct 15 2001 - mfabian@suse.de
- add /etc/papersize (fix Bug #11810)
* Mon Sep 03 2001 - mfabian@suse.de
- add obsoletes jgroff
* Thu Aug 30 2001 - mfabian@suse.de
- upgrade debian patch to groff_1.17.2-7.diff
  (fixes the problem with bold utf-8 characters, i.e. obsoletes
  groff_1.17.2-6.1-debian-fix-minus.diff and includes a fix
  for the troff man-page)
* Tue Aug 21 2001 - mfabian@suse.de
- upgrade debian patch to groff_1.17.2-6.1.diff
  (fix hyphen character problem in EUC-JP encoding,
  Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 17 Aug 2001)
- fix problem with bold minus characters in utf-8 caused by
  debian patch (thanks to <mls@suse.de>)
* Fri Aug 17 2001 - mfabian@suse.de
- include patch for Japanese support from Debian
- security fix from Sebastian Krahmer <krahmer@suse.de> seems
  to be included upstream, removed.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Thu Jul 12 2001 - fehr@suse.de
- update to version 1.17.2
* Fri Jul 06 2001 - fehr@suse.de
- add security fix from Sebastian Krahmer <krahmer@suse.de>
* Mon Jun 25 2001 - fehr@suse.de
- update to version 1.17.1
* Tue Jun 12 2001 - fehr@suse.de
- make it build with newer compilers (ia64, axp)
* Tue May 22 2001 - fehr@suse.de
- update to version 1.17
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Sat Apr 21 2001 - schwab@suse.de
- Fix C++ constraint violation.
* Wed Mar 07 2001 - uli@suse.de
- added xf86 to neededforbuild
* Wed Dec 13 2000 - mfabian@suse.de
- added "Provides: normal-groff". This enables the japanized
  groff to use "Provides: groff" and "Conflicts: normal-groff".
* Fri Dec 08 2000 - fehr@suse.de
- add conflicts to jgroff
* Tue Sep 05 2000 - fehr@suse.de
- check for writable fontdir in SuSEconfig.groff (#2787)
* Tue Aug 15 2000 - mfabian@suse.de
- update to version 1.16.1
- added 'BuildRoot'
* Fri Aug 04 2000 - fehr@suse.de
- changes to new version 1.16.1 of groff
* Fri Jul 21 2000 - fehr@suse.de
- add patch to display japanese man pages again
* Fri Jul 07 2000 - fehr@suse.de
- change comment in rc.config part of package (bugzilla #3256)
* Mon May 29 2000 - fehr@suse.de
- changes to new version 1.16 of groff
* Fri May 19 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Thu Mar 16 2000 - werner@suse.de
- nroff script
  * Allow other ISO latin character sets because they use the same
  8 bit table: use -Tlatin1
  * Allow wide ANSI character maps (e.g. Japanese) because they use
  multiple 8 bit characters: use -Tlatin1
  * Map -Tnippon to -Tlatin1
* Mon Mar 06 2000 - schwab@suse.de
- Update tmac.m from CVS.
- Fix tmac.mse reference to tmac.m.
* Fri Feb 25 2000 - schwab@suse.de
- /usr/man -> /usr/share/man
* Mon Jan 03 2000 - schwab@suse.de
- Update to 1.15 (Y2K fix).
- Get rid of Makefile.Linux.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 02 1999 - werner@suse.de
- Fix Makefle.Linux to make (g)xditview with the values
  set in Imakefile
- Split up a new package gxdview to avoid dependencies
  of groff on the X11 system.
- Correct version number of groff in pac
* Tue Feb 23 1999 - ro@suse.de
- don't redclare strchr for glibc
* Tue Dec 15 1998 - bs@suse.de
- fixed SuSEconfig
* Sun Dec 13 1998 - bs@suse.de
- made SuSEconfig.groff a little bit more silent.
* Wed Nov 18 1998 - ro@suse.de
- commented out "find" in specfile
* Tue Nov 17 1998 - werner@suse.de
- Remove hint during SuSEconfig.groff
* Thu Sep 03 1998 - werner@suse.de
- Add three missed files
* Tue Aug 25 1998 - werner@suse.de
- Skipt warn message if printer isn't configured
* Thu Aug 06 1998 - werner@suse.de
- New version 1.11a
- Make docs and install them
- Add a auto configure script for SuSEconfig
- Make tmac/tmac.safer more safer: do not open files via .so
* Sun Jul 26 1998 - bs@suse.de
- fixed name of GXDITVIEW
* Tue Oct 07 1997 - florian@suse.de
- prepared spec file
- "bash 2.0" Fix in Makefile
